<?php
require_once (dirname(__FILE__) . '/config.php');
require_once (dirname(__FILE__) . '/i18n.php');

header('Content-Type: text/html;charset=UTF-8');
if (! isset($_GET["stamp"])) {
 _die(500, "stamp missing");
}

$stamp = $_GET["stamp"];

if (! isset($_GET["hash"])) {
 _die(500, "hash missing");
}

$hash = $_GET["hash"];

$id = base_convert($stamp, 36, 10) * 1;
if (file_exists(dirname(__FILE__) . "/data/" . $id . ".ok")) {
 $o = json_decode(file_get_contents(dirname(__FILE__) . '/data/' . $id . '.ok'));
 $lang=$o->lang;
 if ($hash != base_convert($o->reminder, 10, 36)) {
  debug("prolonging with wrong hash failed for id:" . $id);
  _die(500, i18n("Beitrag wurde bereits verlängert."));
 }
 $o->reminder = time() + 3600 * 24 * 24; // reminder after 24 days
 $o->valid_to = time() + 3600 * 24 * 28; // 4 weeks valid
 file_put_contents(dirname(__FILE__) . '/data/' . $id . '.ok', json_encode($o));
 echo (MINI_NOTIFY_PREFIX . str_replace(array("%title%", "%reminder%", "%email%", "%valid_to%"), array($o->title, date('Y-m-d', $o->reminder), $o->email, date('Y-m-d', $o->valid_to)), i18n("Beitrag \"%title%\" wurde verlängert, nach dem %reminder% wird eine Erinnerungsemail an %email% versendet und am %valid_to% endet die neue Gültigkeit des Beitrags!")) . MINI_NOTIFY_SUFFIX);
 debug($o->name . " prolonged \"" . $o->title . "\"");
} else {
 debug("prolonging deleted failed for id:" . $id);
 _die(404, i18n("Beitrag wurde bereits gelöscht."));
}
?>
